> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar situação do pedido



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json put /pedidos/{idPedido}/situacao
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /pedidos/{idPedido}/situacao:
    put:
      tags:
        - Pedidos
      summary: Atualizar situação do pedido
      operationId: AtualizarSituacaoPedidoAction
      parameters:
        - $ref: '#/components/parameters/put_pedidos_idPedido_situacao_idPedido'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtualizarSituacaoPedidoModelRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    put_pedidos_idPedido_situacao_idPedido:
      name: idPedido
      in: path
      description: Identificador do pedido
      required: true
      schema:
        type: integer
  schemas:
    AtualizarSituacaoPedidoModelRequest:
      title: ' '
      description: ' '
      required:
        - situacao
      properties:
        situacao:
          description: |-

            - 8 - Dados Incompletos
            - 0 - Aberta
            - 3 - Aprovada
            - 4 - Preparando Envio
            - 1 - Faturada
            - 7 - Pronto Envio
            - 5 - Enviada
            - 6 - Entregue
            - 2 - Cancelada
            - 9 - Nao Entregue
          type: integer
          enum:
            - 8
            - 0
            - 3
            - 4
            - 1
            - 7
            - 5
            - 6
            - 2
            - 9
          x-enumDescriptions:
            - 8 - Dados Incompletos
            - 0 - Aberta
            - 3 - Aprovada
            - 4 - Preparando Envio
            - 1 - Faturada
            - 7 - Pronto Envio
            - 5 - Enviada
            - 6 - Entregue
            - 2 - Cancelada
            - 9 - Nao Entregue
      type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````